Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225164 - Conga allows creation/rename of clusters with name greater than 15 characters
Summary: Conga allows creation/rename of clusters with name greater than 15 characters
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: conga
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Ryan McCabe
QA Contact: Corey Marthaler
URL:
Whiteboard:
Depends On:
Blocks: 236020
TreeView+ depends on / blocked
 
Reported: 2007-01-29 16:19 UTC by Paul Kennedy
Modified: 2015-04-20 00:47 UTC (History)
7 users (show)

Fixed In Version: RHSA-2007-0640
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-07 15:36:48 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0640 normal SHIPPED_LIVE Moderate: conga security, bug fix, and enhancement update 2007-11-08 14:19:24 UTC

Description Paul Kennedy 2007-01-29 16:19:03 UTC
Description of problem:
When configuring a cluster with the Conga luci component, cannot create a
cluster if the name of the cluster is over 16 characters long. I have not been
able to check if this is a problem in luci or if the limitation is elswhere.

Version-Release number of selected component (if applicable):
luci for RC1.

How reproducible:
Using luci, create a new cluster with cluster name over 16 characters.
Enter node names and passwords and click submit. Progress shows:

"Installed"-->"Reboot"-->"Configure"

Does not progress to "Join".

In the detailed display of the cluster in the Cluster tab, the nodes are listed
as "not a cluster participant".



Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Len DiMaggio 2007-01-29 16:25:30 UTC
I just heard on the #cluster channel that there is a limit of 15 char to a
cluster name - this is a bug in luci - luci should enforce the limit and not let
users create clusters with names that exceed the limit.

Comment 3 Ryan McCabe 2007-01-29 16:57:52 UTC
Fixed in -HEAD.

Comment 4 RHEL Product and Program Management 2007-04-10 16:44:40 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 6 Kiersten (Kerri) Anderson 2007-04-23 17:03:22 UTC
Fixing Product Name.  Cluster Suite was merged into Enterprise Linux for version
5.0.

Comment 7 Michael Hideo 2007-06-06 05:02:54 UTC
Adding ecs-dev-list@redhat.com for wider coverage

Comment 9 Corey Marthaler 2007-08-15 15:21:34 UTC
verified in luci-0.9.1-8.

Comment 11 errata-xmlrpc 2007-11-07 15:36:48 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0640.html



Note You need to log in before you can comment on or make changes to this bug.